Marvel Ultimate Alliance 3: The Black Order Switch NSP + Update 4.0.1 + DLC

Marvel Ultimate Alliance 3: The Black Order Switch NSP

Title: Marvel Ultimate Alliance 3: The Black Order NSP
Release Date:Jul 19, 2019
Category: Action
Publisher: Nintendo
Format: NSP
Title ID: 010060700AC50000
Title Size: 13.2 GB
Language: En, Fr, De, It, Es, Zh, Ja, Ko
Multiplayer: Up to 4 Players
Required Firmware: 8.0.1
CFW: 8.0.1 + Atmosphere 0.9.0

Marvel Ultimate Alliance 3: The Black Order NSP is an action game developed by Koei Tecmo’s Team Ninja and published by Nintendo for the Nintendo Switch.

Description: Assemble your ultimate team of Marvel Super Heroes from a huge cast including the Avengers, Guardians of the Galaxy, X-Men, and more! Team up with friends to prevent galactic devastation at the hands of the mad cosmic tyrant Thanos and his ruthless warmasters, The Black Order NSP. Then expand your ultimate alliance with the paid Expansion Pass, which includes upcoming DLC content from popular franchises like the Fantastic Four, X-Men, and Marvel Knights. Assemble your ultimate team of Super Heroes from the Marvel Universe, each with their unique superpowers. Super Heroes battle Thanos and The Black Order across the Marvel Universe in this new original story

Game features Local and Online Multiplayer – The game can be played offline or online* with up to 4 players** on a single screen or using multiple systems. In addition to the series’ traditional perspective, players can also select a dynamic, zoomed-in view, allowing for a more immersive play style for single-player or multiplayer when using multiple systems. Paid Expansion Pass includes 3 DLC packs***, which will release one at a time after the launch of the MARVEL ULTIMATE ALLIANCE 3 NSP: The Black Order game and will include content from popular franchises like the Fantastic Four, X-Men, and Marvel Knights

How to Install the Game

  1. Install the NSP via TinfoilAwoo Installer or Gold Leaf.
  2. Once installations is done play and Enjoy the game.

Download Links

Base Game NSP (13.2 GB)

1Fichier
Part1, Part2, Part3

MEGA (Fixed)
Part1, Part2, Part3

Torrent
Download

Update 4.0.1 (v524288) (Update Info)

Please report the broken/dead/missing links into the comment section.

guest
268 Comments
Newest
Oldest Most Voted
Inline Feedbacks
View all comments
Antonio
Antonio
17 days ago

links are backwards. when i click on google drive link it takes me to 1fitchier, when i click on 1fichier it takes me to google drive.

SrTununin
SrTununin
3 months ago

it doesnt work google drive it says error 404 srry bad english

Envy
Envy
3 months ago

Everything is down… Trying NSP

Versing
Versing
3 months ago

Torrent link down

Bighat
Bighat
6 months ago

I was having some issues unzipping the archive but all I had to do was rename the files to part1-001 and part 1-002 etc. Think it was a Gdrive zipping issue. All works fine now. Thanks a lot.

Huang
Huang
7 months ago

Hey, can I use the DLC pack and the update with the XCI version from this site?

Spinsz
Spinsz
8 months ago

the 1fichier link is down for the base game

Spinsz
Spinsz
8 months ago
Reply to  AdminNx

Yeah, it was something wrong with the https on my browser. I deleted https and it worked. No idea why… Lol. Thank you so much!

EJThe Great
EJThe Great
8 months ago

Hi there. to play this game.. do i need to download both update 4.0.1 and dlc pack to have this updated game? thanks

Pei Fern Tan
Pei Fern Tan
8 months ago

hi, i cant dl

mrsebas1302
mrsebas1302
9 months ago

Hi! For the update, Mediafire and UptoBox links are down. In the other hand, Google Drive always says “Download quota reached” 🙁
Thanks for the amazing work!

Last edited 9 months ago by mrsebas1302
Dom
Dom
10 months ago

Hi admin, I’m getting a software error has occurred during boot up with the update. Without the update I get an update is required message.

kudos_eb
kudos_eb
7 months ago
Reply to  AdminNx

same for me, “software error” and wont boot, second time installing it using goldleaf, any suggestions??

kudos_eb
kudos_eb
7 months ago
Reply to  AdminNx

Goldleaf 0.73, i got Tinfoil 1.0 but never used it im gonna try updating and reinstalling using it

kudos_eb
kudos_eb
7 months ago
Reply to  AdminNx

still “software error” it might be sigpatches, what would you suggest?

kudos_eb
kudos_eb
7 months ago
Reply to  AdminNx

Error stopped, game loads but new message shows “couldnt find any purchased downloadable content” and can´t access the game =(

Daniel
Daniel
11 months ago

Para aquellos que preguntan por el DLC de Fantastic Four, aparentemente se debe primero finalizar el modo historia, luego es que se pueden acceder a ellos ya que los mismos DLC usan mundos del mismo modo historia.

Mati
Mati
11 months ago

Hi admin when i install nsp base game it gives me that error: error 2002 4518 can you dixed because i tried with BOTW and it works well thanks hommie

Christian
Christian
1 year ago

Hi admin,

Kindly please check the link for Torrent. I am not sure if it’s from my end but it seems like not working.

Thank you and sorry for the trouble.

toxicrown
toxicrown
1 year ago

When it came out I got the fantastic 4 dlc, now I have formatted my switch and I can’t find it, is it still not available?

DaBunny
DaBunny
1 year ago

theres an error for the one on google 🙁 Thanks a lot btw!!

Galicia
Galicia
1 year ago

fantastic 4 dlc?

Vanz
Vanz
1 year ago

hi,any link for update .4.0.0 with google drive? 1fichier and other link got removed
thanks for the hardwork

Vanz
Vanz
1 year ago
Reply to  AdminNx

oh i tho we need to update to 4.0.0 before getting 4.0.1 that was so dumb of me lol thanks alot man !

Last edited 1 year ago by Vanz
nonobaby
nonobaby
1 year ago

HI,
does it run on YuZu?

JOHN DOBEY
JOHN DOBEY
1 year ago

Any luck on the fantastic 4 dlc?

shmimeow
shmimeow
1 year ago

not working on fw 10.0.4 atm 0.12

shmimeow
shmimeow
1 year ago
Reply to  AdminNx

now using atm 0.14, error code 2002-1004

ionory07
ionory07
1 year ago

Hi Admin, how can I fix with this, dlc not found upon opening the game.

Vitor
Vitor
1 year ago

I’m on 10.0.2 using SX OS 2.9.5 and I installed all the contents of the game, but I’m receiving the error “the application had to be terminated because an error occurred”. Does somebody know how to make the game work?

Vitor
Vitor
1 year ago
Reply to  AdminNx

I made a factory reset and Emunand, now it’s working (10.0.2/SX OS 2.9.5). Thanks!

MahdiMBK
MahdiMBK
1 year ago

update 4.0.1 gd wont work and got deleted apprarently

add
add
1 year ago

can you please tell me when you add the fantastic 4 dlc? thanks!

Sen
Sen
1 year ago

where is 4.01 update? I think there’s a typo there

Setsuna
Setsuna
1 year ago

And BTW way is it safe no to update to 10.0.1 ams 0.12.0? Or i just stay on 9.2.0 ams 0.10.5 for the mean time?

Im just really concern if xenoblade will work on firm 9.2.0 ams 0.10.5. If it will work no need to update

Setsuna
Setsuna
1 year ago

Hir sir AdminNx. Will update 4.0.1 for this game work on firm 9.2.0 atmosphere 0.10.5?

ILO
ILO
1 year ago

muchas gracias por el Updates
en que orden orden debo instalar los dlc Expansion Pass, Zeo Gold Character Unlock. por que al instalarlos me pide sustituirlos

Porpoise
Porpoise
1 year ago

DLC Pack Google Drive link has been assassinated D:

Tyler
Tyler
1 year ago

I keep getting a CRC error when extracting the 4.0 Updates. Both of them.

Tony Stark
Tony Stark
1 year ago

New update 4.0.1?

Owen
Owen
1 year ago

i have downloaded this via torrent and via this site i have 9.1.0 software on my switch loaded with SX OS 2.9.4 BETA I have tried splitting and installing the nsp via sx as well as goldleaf 0.8 the xci file would mount and play however about 30mins in it would crash the nsp’s (and their respective updates) always just fail on startup ”the software was closed because an error occurred” above it mentions “i downgrade the game to 3.0.1 at it works fine” but this didnt work for me. however idk which update is 3.0.1? i uninstalled, then installed:… Read more »

Nekros739
Nekros739
1 year ago
Reply to  Owen

the same for me

Owen
Owen
1 year ago
Reply to  Nekros739

”the software was closed because an error occurred”

Nekros739
Nekros739
1 year ago
Reply to  Owen

do you know how to play? i still getting the error xD

Akido
Akido
1 year ago

i’ve already downloaded all 3 parts, but when i extracted the files it says “there was a problem while reading the contents of the file “Marvel Ultimate Alliance (NSP)(Base Game).part1.rar”: Unknown error.

what should i do? i’m using macbook anyway

thanks

Akido
Akido
1 year ago
Reply to  Akido

done, just need to upgrade the unarchiver. now is trying to install it.
is it a must to download di update?

faux_anonymity
faux_anonymity
1 year ago

Has the DLC file been updated so we can unlock the Fantastic Four DLC?

chupo
chupo
1 year ago

4.0 update links (mega,media and googlDR) are down 🙁

Biliy
1 year ago

whether update version 4.0.0 is included with the phoenix package? or F4 only? thanks

netanel
netanel
1 year ago

why rewards evanet no work //?\
how i unlock all skin //?

Nekros739
Nekros739
1 year ago

Nothing it keep saying the error, i guess i cannot play anymore :(… thanks for all your help Admin.

Ayasato
Ayasato
1 year ago

i downloaded everything from google drive, i’m on 9.1.0 atmosphere latest update, using marvel update 4.0.0 and it works like a charm!

parroks
parroks
1 year ago

ya lo instale pero no puedo jugar el nuevo capitulo…sabes porque ???

pakorrooks
pakorrooks
1 year ago
Reply to  AdminNx

instale la actualizacion 4.0 y funciona perfecto mi pregunta es… para jugar ese nuevo capitulo en la actualizacion aun necesitamos el nsp del dlc vdd

ty
ty
1 year ago

aye my g is the fantastic 4 dlc with this

JULIANO
JULIANO
1 year ago

please update the DLC pack fantastic four. thank you

separatly

Nekros739
Nekros739
1 year ago

i have 9.2.0 console update and sxos 2.9.4 and still have the message. ” the software was closed because an error occurred”

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

i downgrade the game to 3.0.1 at it works fine, but i try to update to 4.0.0 and i take the error.

Nekros739
Nekros739
1 year ago
Reply to  AdminNx

sig patches? (i dont know what is it) how can i see the version of CFW?

soorry for my english, im spanish.

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

sig patches you mean atmosphere?

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

i did it, i install kosmos and atmosphere latest updates and still the error. sigpatches installed and nothing

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

The base Game works fine and 3.0.1 too, the problem is when i update to 4.0.0

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

And DLCs work too

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

i try to launch in another profile and nothing and i try to check the corrupt data and it says Marvel is corrupt but i reinstall and nothing, it is the update, because i put 3.0.1 and the game works fine. thanks for all,dude.

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

i have the issue when i install 4.0.0

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

i try in another profile and nothing and also try by corrupt data and it says Marvel have corrupt data but only when i install 4.0.0 if i install 3.0.1 its all good, the game works. the problem is when i install 4.0.0

Nekros739
Nekros739
1 year ago
Reply to  Nekros739

however, what i need to install to play in 4.0.0? (i am asking for atmosphere,etc…) tools. Or any update

Nekros739
Nekros739
1 year ago
Reply to  AdminNx

i try downgrado my swich to 9.0.0 console update and sxos 2.9.2 and i cant play, i update the game to 4.0.1 and nothing, i try all , i need some help 🙁

Nekros739
Nekros739
1 year ago
Reply to  AdminNx

downpatch? what do you meaN? i am spanish so i understand a little bit of inglish xd

Nekros739
Nekros739
1 year ago
Reply to  AdminNx

si a mi me funcionaba en 3.0.1 hasta que me obligaba a actualizar el juego y la 4.0.0 y la 4.0.1 no funcionan para mi.

Nekros739
Nekros739
1 year ago
Reply to  AdminNx

Resulta que creo que es el NSP ,ya que él XCI lo descargué y funcionó durante unos minutos (incluido con el 4.0.1) hasta que salió el error 2002-4153 y se sale del juego. Puede que sea el cluster de mi SD ,ya que vi en algún sitio que lo recomendable son 32kb y mi SD está en más de 100kb, sabe algo?

Pickles78
Pickles78
1 year ago

Hello, what updates do I need to download? Just the 4.0.0 update, or all three (3.0.0, 3.0.1, and 4.0.0)? Is that the only updates I need other than the base game NPS?

Efabbs
Efabbs
1 year ago

When installing updates, Should I do each one, Or should I just grab the most recent?

Nekros739
Nekros739
1 year ago

hi, i install the update and it have an error when i try to lunch the game ” the software was closed because an error occurred” i reinstalled the game, and nothing, it says the same. I install the game and update properly and nohing, what can i do?

Gio
Gio
1 year ago

Fantastic four dlc already uploaded?

Gary Oak
Gary Oak
1 year ago

Stupid question: Do I have to finish the main story to play the DLC Rise of the Phoenix? because I can play the first DLC but with no problem, but I cant play the second one.

DoomBot
DoomBot
1 year ago

Hi! Could you put the update on a torrent, please 🙁

DoomBot
DoomBot
1 year ago
Reply to  AdminNx

Thanks! It worked